package actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

/**
 * The Class LoginAction.
 */
public class LogoutAction extends Action {
	
	/**
	 * Instantiates a new login action.
	 */
	public LogoutAction() {
	}

	/* (non-Javadoc)
	 * @see actions.Action#getName()
	 */
	@Override
	public String getName() {
		return "logout";
	}

	/* (non-Javadoc)
	 * @see actions.Action#perform(javax.servlet.http.HttpServletRequest)
	 */
	@Override
	public String perform(HttpServletRequest request) {
		HttpSession session = request.getSession();
		session.invalidate();

		return "index.jsp";
	}
	
}