package forms;

import java.util.List;
import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import util.InputUtil;

public class ChangeForm {

	private String old = "";
	private String pass = "";
	private String pass2 = "";

	public ChangeForm() {}
	
	public ChangeForm(HttpServletRequest request) {
		this.old = request.getParameter("old").trim();
		this.pass = request.getParameter("pass").trim();
		this.pass2 = request.getParameter("pass2").trim();
	}

	public String getOld() {
		return old;
	}
	public String getPass() {
		return pass;
	}

	public List<String> getErrors() {
		List<String> errors = new ArrayList<String>();

		if (pass.length() < 3) {
			errors.add("passwords must be at least 3 characters");
		}

		if (!pass.equals(pass2)) {
			errors.add("passwords must match");
		}
		
		return errors;
	}

}
