package util;

import java.util.Set;
import java.util.HashSet;

//these are functions for the tag library.. they are compiled with the jsp
public class TagUtil {

	// express containment of a string in a set
	public static boolean contains(Set<String> s, String val) {
		return s.contains(val);
	}

	// array-of-strings to set-of-strings
	public static Set<String> toSet(String[] array) {
		Set<String> s = new HashSet<String>();
		if (array != null) {
			for (int i = 0; i < array.length; ++i) {
				s.add(array[i]);
			}
		}
		return s;
	}
	
	//when you're going to pass titles in get
	public static String underscore(String s) {
		return s.replace(' ', '_');
	}
}