package beans;
// Generated Jan 26, 2008 5:00:51 PM by Hibernate Tools 3.2.0.b11


import java.util.ArrayList;
import java.util.List;

/**
 * 						 _   _               
 * 						| | | |___  ___ _ __ 
 * 						| | | / __|/ _ \ '__|
 * 						| |_| \__ \  __/ |   
 * 						 \___/|___/\___|_|  
 * 															 
 * 			This is a user.  Hear ${user.name} roar.
 * 		
 */
public class User  implements java.io.Serializable {


     private long id;
     private String name;
     private String pass;
     private String lastPage;
     private String ip;
     private String geoLoc;
     private List<Site> sites = new ArrayList<Site>(0);
     private List<Note> notes = new ArrayList<Note>(0);

    public User() {
    }

	
    public User(String name, String pass, String lastPage, String ip, String geoLoc) {
        this.name = name;
        this.pass = pass;
        this.lastPage = lastPage;
        this.ip = ip;
        this.geoLoc = geoLoc;
    }
    public User(String name, String pass, String lastPage, String ip, String geoLoc, List<Site> sites, List<Note> notes) {
       this.name = name;
       this.pass = pass;
       this.lastPage = lastPage;
       this.ip = ip;
       this.geoLoc = geoLoc;
       this.sites = sites;
       this.notes = notes;
    }
   
    public long getId() {
        return this.id;
    }
    
    protected void setId(long id) {
        this.id = id;
    }
    public String getName() {
        return this.name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    public String getPass() {
        return this.pass;
    }
    
    public void setPass(String pass) {
        this.pass = pass;
    }
    public String getLastPage() {
        return this.lastPage;
    }
    
    public void setLastPage(String lastPage) {
        this.lastPage = lastPage;
    }
    public String getIp() {
        return this.ip;
    }
    
    public void setIp(String ip) {
        this.ip = ip;
    }
    public String getGeoLoc() {
        return this.geoLoc;
    }
    
    public void setGeoLoc(String geoLoc) {
        this.geoLoc = geoLoc;
    }
    public List<Site> getSites() {
        return this.sites;
    }
    
    public void setSites(List<Site> sites) {
        this.sites = sites;
    }
    public List<Note> getNotes() {
        return this.notes;
    }
    
    public void setNotes(List<Note> notes) {
        this.notes = notes;
    }

    /**
     * toString
     * @return String
     */
     public String toString() {
	  StringBuffer buffer = new StringBuffer();

      buffer.append(getClass().getName()).append("@").append(Integer.toHexString(hashCode())).append(" [");
      buffer.append("name").append("='").append(getName()).append("' ");			
      buffer.append("]");
      
      return buffer.toString();
     }



}


