package forms;

import java.util.List;
import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;

/**
 * The Class LoginForm.
 */
public class LoginForm {

	private String name = "";
	private String pass = "";
	
	public LoginForm() {}
	
	public LoginForm(HttpServletRequest request) {
		this.name = request.getParameter("name").trim();
		this.pass = request.getParameter("pass").trim();
	}

	public String getName() {
		return name;
	}

	public String getPass() {
		return pass;
	}

	public List<String> getErrors() {
		List<String> errors = new ArrayList<String>();

		if (name.length() == 0) {
			errors.add("username is required");
		}

		if (pass.length() == 0) {
			errors.add("password is required");
		}

		return errors;
	}
	
	public List<String> getWarnings() {
		return new ArrayList<String>();
	}

}
