<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><!-- InstanceBegin template="/templates/front.dwt.jsp" codeOutsideHTMLIsLocked="false" -->

<head>
	<!-- InstanceBeginEditable name="doctitle" -->
	<title>about.</title>
	<!-- InstanceEndEditable -->
	
	<meta name="author" content="thomas b sullivan"/>
	<meta name="description" content="a secure place for recording your logins and other sensitive data"/>
	<meta name="keywords" content="login minder, login keeper, store passwords"/>
	
	<link rel="stylesheet" type="text/css" media="screen" href="css/slimbox.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/base.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/layout.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/style.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/etc.css"/>
	<!-- InstanceBeginEditable name="css" -->
	<link rel="stylesheet" type="text/css" href="css/etc.css"/>
	<!-- InstanceEndEditable -->
	  
	<script type="text/javascript" src="js/prototype.js"></script>
	<script type="text/javascript" src="js/scriptaculous.js?load=effects"></script>
	<script type="text/javascript" src="js/mootools-release-1.11.js"></script>
	<script type="text/javascript" src="js/slimbox.js"></script>
	<!-- InstanceBeginEditable name="js" -->
	<!-- InstanceEndEditable -->
</head>

<body>

	<div id="container">

		<div id="login" style="display:none;">
			<form action="login.do" method="post">
				<div id="submit" class="row righty">
					<div class="input"><input type="submit" tabindex="3" name="login" value="login"/></div>
				</div>
				<div class="row righty">
					<div class="label">pass.</div>
					<div class="input"><input type="password" tabindex="2" name="pass" maxlength="25"/></div>
				</div>
				<div class="row righty">
					<div class="label">name.</div>
					<div class="input"><input type="text" tabindex="1" name="name" value="${form.name}" maxlength="25"/></div>
				</div>
			</form>
		</div>
		
		<div id="top">
		
			<div id="logo">
				<a href="index.jsp"><img src="img/logo.png"/></a>
			</div>
			
			<div id="error">
				<c:if test="${not empty errors}">
					${errors[0]}
				</c:if>
 			</div>
			
			<div id="goto">
				<ul>
				<c:choose>
					<c:when test="${empty userId}">
						<li class="edged"><a onClick="new Effect.toggle('login','blind');">login</a></li>
						<li><a href="register.jsp">register</a></li>
					</c:when>
					<c:otherwise>
						<!-- instead of sites use the user's last visited page -->
						<li class="edged"><a href="logout.do">logout</a></li>
						<li><a href="sites.do">manage</a></li>
					</c:otherwise>
				</c:choose>
				</ul>
			</div>	
			
		</div>
				
		<div id="main">
			<div id="content">
			<!-- InstanceBeginEditable name="content" -->

			<p> 
				Login Minder is an attempt to reduce the clutter of more usernames &amp; than space for sticky notes on your desktop.  I have at least 20 different accounts on various websites and it's a hassel to remember it all.  Well what I'm trying to do is create a website that remember those urls, logins, and passwords.  Security is obviously a high proiority, so all of our communications are encrypted with public key cryptography.  Our goal is to have a completely secure system from which you can manage all of your accounts.  Through the use of a plugin you'll be able to manage, update, and log in &amp; out of all of your accounts from one central location.
			</p>

			<!-- InstanceEndEditable -->
			</div>
		</div>
	 
	</div>
	
	<div id="footer">
		<div class="lefty">
			<ul>
				<li class="edged"><a href="about.jsp">about</a></li>
				<li class="edged"><a href="faq.jsp">faq</a></li>
				<li class="edged"><a href="blog.jsp">blog</a></li>
				<li><img src="img/button-bm.gif" alt="bookmark this"/></li>
			</ul>
		</div>
		<div class="righty">
			design and implementation by
			<br/>
			<a href="http://www.andrew.cmu.edu/user/tbs">thomas b sullivan</a>
		</div>
	</div>
  
</body>
<!-- InstanceEnd --></html>