<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><!-- InstanceBegin template="/templates/front.dwt.jsp" codeOutsideHTMLIsLocked="false" -->

<head>
	<!-- InstanceBeginEditable name="doctitle" -->
	<title>welcome.</title>
	<!-- InstanceEndEditable -->
	
	<meta name="author" content="thomas b sullivan"/>
	<meta name="description" content="a secure place for recording your logins and other sensitive data"/>
	<meta name="keywords" content="login minder, login keeper, store passwords"/>
	
	<link rel="stylesheet" type="text/css" media="screen" href="css/slimbox.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/base.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/layout.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/style.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/etc.css"/>
	<!-- InstanceBeginEditable name="css" -->
	<link rel="stylesheet" type="text/css" href="css/etc.css"/>
	<!-- InstanceEndEditable -->
	  
	<script type="text/javascript" src="js/prototype.js"></script>
	<script type="text/javascript" src="js/scriptaculous.js?load=effects"></script>
	<script type="text/javascript" src="js/mootools-release-1.11.js"></script>
	<script type="text/javascript" src="js/slimbox.js"></script>
	<!-- InstanceBeginEditable name="js" -->
	<!-- InstanceEndEditable -->
</head>

<body>

	<div id="container">

		<div id="login" style="display:none;">
			<form action="login.do" method="post">
				<div id="submit" class="row righty">
					<div class="input"><input type="submit" tabindex="3" name="login" value="login"/></div>
				</div>
				<div class="row righty">
					<div class="label">pass.</div>
					<div class="input"><input type="password" tabindex="2" name="pass" maxlength="25"/></div>
				</div>
				<div class="row righty">
					<div class="label">name.</div>
					<div class="input"><input type="text" tabindex="1" name="name" value="${form.name}" maxlength="25"/></div>
				</div>
			</form>
		</div>
		
		<div id="top">
		
			<div id="logo">
				<a href="index.jsp"><img src="img/logo.png"/></a>
			</div>
			
			<div id="error">
				<c:if test="${not empty errors}">
					${errors[0]}
				</c:if>
 			</div>
			
			<div id="goto">
				<ul>
				<c:choose>
					<c:when test="${empty userId}">
						<li class="edged"><a onClick="new Effect.toggle('login','blind');">login</a></li>
						<li><a href="register.jsp">register</a></li>
					</c:when>
					<c:otherwise>
						<!-- instead of sites use the user's last visited page -->
						<li class="edged"><a href="logout.do">logout</a></li>
						<li><a href="sites.do">manage</a></li>
					</c:otherwise>
				</c:choose>
				</ul>
			</div>	
			
		</div>
				
		<div id="main">
			<div id="content">
			<!-- InstanceBeginEditable name="content" -->

			<h3>30.01.08</h3>
			<p>
				I just put the finishing touches on layout of everything. If only I had a great sense of colors right? Oh well. All that's left is to Spring-ify everything.
			</p>

			<h3>12.01.08</h3>
			<p>
				Today I had to fix my parents router, work on my taxes, sign up for an alumni program, and buy a domain. Not only did I have to do all of those things, but I had to look up all of the login names and passwords for each of those websites or computers. I have a secure folder on my laptop in which I store all of that information. It's in a folder called 'secure'.
			</p>
			<p>
			  Ironically, it's not that secure. Sure it's password protected, but if someone knows my password I'm hosed. Furthermore, if I loose my computer I would probably end up calling every website for my account information.
			</p>
			<p>
				Hey! LoginMinder.com is available...
			</p>

			<!-- InstanceEndEditable -->
			</div>
		</div>
	 
	</div>
	
	<div id="footer">
		<div class="lefty">
			<ul>
				<li class="edged"><a href="about.jsp">about</a></li>
				<li class="edged"><a href="faq.jsp">faq</a></li>
				<li class="edged"><a href="blog.jsp">blog</a></li>
				<li><img src="img/button-bm.gif" alt="bookmark this"/></li>
			</ul>
		</div>
		<div class="righty">
			design and implementation by
			<br/>
			<a href="http://www.andrew.cmu.edu/user/tbs">thomas b sullivan</a>
		</div>
	</div>
  
</body>
<!-- InstanceEnd --></html>