<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><!-- InstanceBegin template="/Templates/passes.dwt.jsp" codeOutsideHTMLIsLocked="false" -->

<head>
	<!-- InstanceBeginEditable name="doctitle" -->
	<title>change your password.</title>
	<!-- InstanceEndEditable -->
	
	<meta name="author" content="thomas b sullivan"/>
	<meta name="description" content="a secure place for recording your logins and other sensitive data"/>
	<meta name="keywords" content="login minder, login keeper, store passwords"/>
	
	<link rel="stylesheet" type="text/css" media="screen" href="css/base.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/layout.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/style.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/etc.css"/>
	<!-- InstanceBeginEditable name="css" -->
	<link rel="stylesheet" type="text/css" href="css/register.css"/>
	<!-- InstanceEndEditable -->
	  
	<script type="text/javascript" src="js/prototype.js"></script>
	<script type="text/javascript" src="js/scriptaculous.js?load=effects"></script>
	<script type="text/javascript" src="js/shadedborder.js"></script>
</head>

<body>

	<div id="container">
		
		<div id="top">
		
			<div id="logo">
				<a href="index.jsp"><img src="img/logo.png"/></a>
			</div>
			
			<div id="error">
				<c:if test="${not empty errors}">
					${errors[0]}
				</c:if>
 			</div>
			
		</div>
				
		<div id="main">
			<div id="content">
			<!-- InstanceBeginEditable name="content" -->
			
			<form id="form" action="change.do" method="post">

			<div class="row">
				<div class="label">old pass.</div>
				<input type="password" tabindex="1" name="old" maxlength="25"/>
			</div>
			<div class="half lefty">
				<div class="label">pass.</div>
				<input type="password" tabindex="2" name="pass" maxlength="25"/>
			</div>
			<div class="half righty">
				<div class="label">pass.</div>
				<input type="password" tabindex="3" name="pass2" maxlength="25"/>
			</div>
			<div class="row center">
				<input type="submit" tabindex="4" name="submit" value="submit"/>
			</div>
			
			</form>
			
			<!-- InstanceEndEditable -->
			</div>
		</div>
	 
	</div>
	
	<div id="footer">
		<div class="lefty">
			<ul>
				<li class="edged"><a href="about.jsp">about</a></li>
				<li class="edged"><a href="faq.jsp">faq</a></li>
				<li><a href="blog.jsp">blog</a></li>
			</ul>
		</div>
		<div class="righty">
			design and implementation by
			<br/>
			<a href="http://www.andrew.cmu.edu/user/tbs">thomas b sullivan</a>
		</div>
	</div>
  
</body>
<!-- InstanceEnd --></html>