<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN""http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><!-- InstanceBegin template="/templates/front.dwt.jsp" codeOutsideHTMLIsLocked="false" -->

<head>
	<!-- InstanceBeginEditable name="doctitle" -->
	<title>welcome.</title>
	<!-- InstanceEndEditable -->
	
	<meta name="author" content="thomas b sullivan"/>
	<meta name="description" content="a secure place for recording your logins and other sensitive data"/>
	<meta name="keywords" content="login minder, login keeper, store passwords"/>
	
	<link rel="stylesheet" type="text/css" media="screen" href="css/slimbox.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/base.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/layout.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/style.css"/>
	<link rel="stylesheet" type="text/css" media="screen" href="css/etc.css"/>
	<!-- InstanceBeginEditable name="css" -->
	<!-- InstanceEndEditable -->
	  
	<script type="text/javascript" src="js/mootools-release-1.11.js"></script>
	<script type="text/javascript" src="js/slimbox.js"></script>
	<!-- InstanceBeginEditable name="js" -->
	<script type="text/javascript">	
		 window.addEvent('domready', function(){
		 
		 
			 var mySlide = new Fx.Slide('login');	 
		
			 $('toggle').addEvent('click', function(e){
				 e = new Event(e);
				 mySlide.toggle();
				 e.stop();
			 });		
			 
			  $('login').addEvent('domready', function(e){
			  	e = new Event(e);
			  	mySlide.hide();
			  	e.stop();
			  });
			 
		 }); 
	       
	</script>
	<!-- InstanceEndEditable -->
</head>

<body>

	<div id="container">

		<div id="login">
			<form action="login.do" method="post">
				<div id="submit" class="row righty">
					<div class="input"><input type="submit" tabindex="3" name="login" value="login"/></div>
				</div>
				<div class="row righty">
					<div class="label">pass.</div>
					<div class="input"><input type="password" tabindex="2" name="pass" maxlength="25"/></div>
				</div>
				<div class="row righty">
					<div class="label">name.</div>
					<div class="input"><input type="text" tabindex="1" name="name" value="${form.name}" maxlength="25"/></div>
				</div>
			</form>
		</div>
		
		<div id="top">
		
			<div id="logo">
				<a href="index.jsp"><img src="img/logo.png"/></a>
			</div>
			
			<div id="error">
				<c:if test="${not empty errors}">
					${errors[0]}
				</c:if>
 			</div>
			
			<div id="goto">
				<ul>
				<c:choose>
					<c:when test="${empty userId}">
						<li class="edged"><a id="toggle">login</a></li>
						<li><a href="register.jsp">register</a></li>
					</c:when>
					<c:otherwise>
						<!-- instead of sites use the user's last visited page -->
						<li class="edged"><a href="logout.do">logout</a></li>
						<li><a href="sites.do">manage</a></li>
					</c:otherwise>
				</c:choose>
				</ul>
			</div>	
			
		</div>
				
		<div id="main">
			<div id="content">
			<!-- InstanceBeginEditable name="content" -->

			<p>
				Login Minder helps manage the clutter of social networking, online shopping, and email accounts.  Here you can securely store any private information and retrieve it from any computer connected to the internet.  This is how I avoid sticky notes on my desktop and forgotten passwords.
			</p>
			<div class="box righty">
				<span class="caption">using notes</span>
				<a href="img/notes.png" rel="lightbox" title="using notes"><img src="img/notes_t.png" width="200" alt="notes screenshot"/></a> 
			</div>

			<!-- InstanceEndEditable -->
			</div>
		</div>
	 
	</div>
	
	<div id="footer">
		<div class="lefty">
			<ul>
				<li class="edged"><a href="about.jsp">about</a></li>
				<li class="edged"><a href="faq.jsp">faq</a></li>
				<li class="edged"><a href="blog.jsp">blog</a></li>
				<li><img src="img/button-bm.gif" alt="bookmark this"/></li>
			</ul>
		</div>
		<div class="righty">
			design and implementation by
			<br/>
			<a href="http://www.andrew.cmu.edu/user/tbs">thomas b sullivan</a>
		</div>
	</div>
  
</body>
<!-- InstanceEnd --></html>